$!-----------------------------------------------------------------------------
$! Builds FEATURES document for HTML, PostScript and Bookreader.
$!-----------------------------------------------------------------------------
$! WRITE SYS$OUTPUT "Building for Bookreader"
$! DOC FEATURES MANUAL.ONLINE BOOKREADER
$! SET PROT=W:RE FEATURES.DECW$BOOK;*
$ IF P1 .EQS. "POSTSCRIPT"
$ THEN
$    WRITE SYS$OUTPUT "Building PostScript"
$    DOC FEATURES MANUAL PS /CONT
$    SET PROT=W:RE FEATURES.PS;*
$ ELSE
$!   (designed around "AFPL Ghostscript 8.54 (2006-05-17)")
$    WRITE SYS$OUTPUT "Building PDF (via PostScript, requires GhostScript)"
$    DOC FEATURES MANUAL PS /CONT
$    TMPDIR = "[]"
$    GS "-sDEVICE=pdfwrite" "-sOutputFile=wasd_features.pdf" "-dNOPAUSE" "-dBATCH" FEATURES.PS
$    SET NOON
$    DELETE /LOG FEATURES.PS;*
$    DELETE /LOG _TEMP_*.*;*
$    SET PROT=W:RE FEATURES.PDF;*
$ ENDIF
$! WRITE SYS$OUTPUT "Building Text"
$! DOC FEATURES MANUAL MAIL /CONT
$! SET PROT=W:RE FEATURES*.TXT;*
$ WRITE SYS$OUTPUT "Building HTML"
$ SDM2HTM /FRAMED /INDEX FEATURES
$ SET PROT=W:RE *.HTML;*
$ DELETE *.TEX;*
$ DELETE *.DVI*;*
$!-----------------------------------------------------------------------------
