$! Use the WASDbench utility to generate performance information
$ wb = "$HT_EXE:WB.EXE -d ""-S"""
$ if p1 .nes. "" then wb = wb + " """ + p1 + """"
$ show symbol wb
$ say = "WRITE SYS$OUTPUT"
$!
$! 0KB, ONE AT A TIME
$!
$ say ""
$ say "WASD server - zero output, 1 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:7080/ht_root/exercise/0k.txt" 
$!
$ say ""
$ say "OSU server - zero output, 1 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:7777/ht_root/exercise/0k.txt" 
$!
$ say ""
$ say "Apache (CSWS) server - zero output, 1 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:8888/ht_root/exercise/0k.txt" 
$!
$! 0KB, TEN AT A TIME
$!
$ say ""
$ say "WASD server - zero output, 10 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:7080/ht_root/exercise/0k.txt" 
$!
$ say ""
$ say "OSU server - zero output, 10 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:7777/ht_root/exercise/0k.txt" 
$!
$ say ""
$ say "Apache (CSWS) server - zero output, 10 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:8888/ht_root/exercise/0k.txt" 
$!
$! 64KB, ONE AT A TIME
$!
$ say ""
$ say "WASD server - 64kB output, 1 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:7080/ht_root/exercise/64k.txt" 
$!
$ say ""
$ say "OSU server - 64kB output, 1 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:7777/ht_root/exercise/64k.txt" 
$!
$ say ""
$ say "Apache (CSWS) server - 64kb output, 1 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:8888/ht_root/exercise/64k.txt" 
$!
$! 64KB, TEN AT A TIME
$!
$ say ""
$ say "WASD server - 64kB output, 10 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:7080/ht_root/exercise/64k.txt" 
$!
$ say ""
$ say "OSU server - 64kB output, 10 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:7777/ht_root/exercise/64k.txt" 
$!
$ say ""
$ say "Apache (CSWS) server - 64kb output, 10 concurrent"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:8888/ht_root/exercise/64k.txt" 
