$! Use the ApacheBench utility to generate performance information
$ wb = "$HT_EXE:WB.EXE -d ""-S"""
$ if p1 .nes. "" then wb = wb + " """ + p1 + """"
$ show symbol wb
$ say = "WRITE SYS$OUTPUT"
$!
$! 0KB, ONE AT A TIME
$!
$ say ""
$ say "WASD server - zero script output, 1 concurrent, detached"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7080/cgi-bin/cgiplustest?0" 
$!
$ say ""
$ say "WASD server - zero script output, 1 concurrent, CGIplus"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:7080/cgiplus-bin/cgiplustest?0" 
$!
$ say ""
$ say "WASD server - zero script output, 1 concurrent, ISAPI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 1 "http://i64.kednos.com:7080/isapi/isapiexample.dll?0" 
$!
$ say ""
$ say "WASD server - zero script output, 1 concurrent, DECnet CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7080/decnet/cgiplustest?0" 
$!
$ say ""
$ say "WASD server - zero script output, 1 concurrent, OSU-emulation"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7080/htbin/cgiplustest?0" 
$!
$ say ""
$ say "OSU server - zero script output, 1 concurrent, OSU"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7777/htbin/cgiplustest?0" 
$!
$ say ""
$ say "Apache (CSWS) server - zero script output, 1 concurrent, CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:8888/cgi-bin/cgiplustest?0" 
$!
$ say ""
$ say "Apache (CSWS) server - zero script output, 1 concurrent, OSU-module"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$!! wb -n 100 -c 1 "http://i64.kednos.com:8888/htbin/cgiplustest?0" 
$!
$! 0KB, TEN AT A TIME
$!
$ say ""
$ say "WASD server - zero script output, 10 concurrent, detached"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/cgi-bin/cgiplustest?0" 
$!
$ say ""
$ say "WASD server - zero script output, 10 concurrent, CGIplus"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:7080/cgiplus-bin/cgiplustest?0" 
$!
$ say ""
$ say "WASD server - zero script output, 10 concurrent, ISAPI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 2000 -c 10 "http://i64.kednos.com:7080/isapi/isapiexample.dll?0" 
$!
$ say ""
$ say "WASD server - zero script output, 10 concurrent, DECnet CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/decnet/cgiplustest?0" 
$!
$ say ""
$ say "WASD server - zero script output, 10 concurrent, OSU-emulation"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/htbin/cgiplustest?0" 
$!
$ say ""
$ say "OSU server - zero script output, 10 concurrent, OSU"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7777/htbin/cgiplustest?0" 
$!
$ say ""
$ say "Apache (CSWS) server - zero script output, 10 concurrent, CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:8888/cgi-bin/cgiplustest?0" 
$!
$ say ""
$ say "Apache (CSWS) server - zero script output, 10 concurrent, OSU-module"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$!! wb -n 100 -c 10 "http://i64.kednos.com:8888/htbin/cgiplustest?0" 
$!
$! 64KB, ONE AT A TIME
$!
$ say ""
$ say "WASD server - 64kB script output, 1 concurrent, detached"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 100 -c 1 "http://i64.kednos.com:7080/cgi-bin/cgiplustest?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 1 concurrent, CGIplus"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7080/cgiplus-bin/cgiplustest?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 1 concurrent, ISAPI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7080/isapi/isapiexample.dll?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 1 concurrent, DECnet CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7080/decnet/cgiplustest?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 1 concurrent, OSU-emulation"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7080/htbin/cgiplustest?800" 
$!
$ say ""
$ say "OSU server - 64kB script output, 1 concurrent, OSU"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:7777/htbin/cgiplustest?800" 
$!
$ say ""
$ say "Apache (CSWS) server - 64kB script output, 1 concurrent, CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 1 "http://i64.kednos.com:8888/cgi-bin/cgiplustest?800" 
$!
$ say ""
$ say "Apache (CSWS) server - 64kB script output, 1 concurrent, OSU-module"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$!!$ wb -n 100 -c 1 "http://i64.kednos.com:8888/htbin/cgiplustest?800" 
$!
$! 64KB, TEN AT A TIME
$!
$ say ""
$ say "WASD server - 64kB script output, 10 concurrent, detached"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/cgi-bin/cgiplustest?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 10 concurrent, CGIplus"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/cgiplus-bin/cgiplustest?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 10 concurrent, ISAPI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/isapi/isapiexample.dll?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 10 concurrent, DECnet CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/decnet/cgiplustest?800" 
$!
$ say ""
$ say "WASD server - 64kB script output, 10 concurrent, OSU-emulation"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7080/htbin/cgiplustest?800" 
$!
$ say ""
$ say "OSU server - 64kB script output, 10 concurrent, OSU"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:7777/htbin/cgiplustest?800" 
$!
$ say ""
$ say "Apache (CSWS) server - 64kB script output, 10 concurrent, CGI"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$ wb -n 500 -c 10 "http://i64.kednos.com:8888/cgi-bin/cgiplustest?800" 
$!
$ say ""
$ say "Apache (CSWS) server - 64kB script output, 10 concurrent, OSU-module"
$ say "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
$!! wb -n 100 -c 10 "http://i64.kednos.com:8888/htbin/cgiplustest?800" 
