$!-----------------------------------------------------------------------------
$! BUILD_AUTOBAHN.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 02-JUN-2001  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""AUTOBAHN""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = " /DEFINE=(__VMS_VER=70000000," +-
            "__CRTL_VER=70000000,AUTOBAHN)"
$ INCLUDES = ""
$ WARNINGS=  " /WARNING=(DISABLE=(PREOPTW))"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL" +-
               INCLUDES + DEFINES + WARNINGS
$ IF ARCH_NAME .NES. "VAX" THEN CC_OPTIONS = CC_OPTIONS + "/FLOAT=IEEE"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR'AUTOBAHN AUTOBAHN
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    IF ARCH_NAME .EQS. "AXP"
$    THEN
$       LINK /EXECUTABLE=WASD_EXE:AUTOBAHN.EXE -
[-.HTTPD.OBJ_AXP]BASE64, -
[-.HTTPD.OBJ_AXP]SHA1, -
        'OBJECT_DIR'AUTOBAHN,WSLIB,WSLIBCL
$    ENDIF
$    IF ARCH_NAME .EQS. "IA64"
$    THEN
$       LINK /EXECUTABLE=WASD_EXE:AUTOBAHN.EXE -
[-.HTTPD.OBJ_IA64]BASE64, -
[-.HTTPD.OBJ_IA64]SHA1, -
        'OBJECT_DIR'AUTOBAHN,WSLIB,WSLIBCL
$    ENDIF
$    IF ARCH_NAME .EQS. "VAX"
$    THEN
$       LINK /EXECUTABLE=WASD_EXE:AUTOBAHN.EXE -
[-.HTTPD.OBJ_VAX]BASE64, -
[-.HTTPD.OBJ_VAX]SHA1, -
        'OBJECT_DIR'AUTOBAHN,WSLIB,WSLIBCL
$    ENDIF
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
