$!-----------------------------------------------------------------------------
$! Builds CONFIG document for HTML, PostScript and Bookreader.
$!-----------------------------------------------------------------------------
$! WRITE SYS$OUTPUT "Building for Bookreader"
$! DOC CONFIG MANUAL.ONLINE BOOKREADER
$! SET PROT=W:RE CONFIG.DECW$BOOK;*
$ IF P1 .EQS. "POSTSCRIPT"
$ THEN
$    WRITE SYS$OUTPUT "Building PostScript"
$    DOC CONFIG MANUAL PS /CONT
$    SET PROT=W:RE CONFIG.PS;*
$ ELSE
$!   (designed around "AFPL Ghostscript 8.54 (2006-05-17)")
$    WRITE SYS$OUTPUT "Building PDF (via PostScript, requires GhostScript)"
$    DOC CONFIG MANUAL PS /CONT
$    TMPDIR = "[]"
$    GS "-sDEVICE=pdfwrite" "-sOutputFile=wasd_config.pdf" "-dNOPAUSE" "-dBATCH" CONFIG.PS
$    SET NOON
$    DELETE /LOG CONFIG.PS;*
$    DELETE /LOG _TEMP_*.*;*
$    SET PROT=W:RE CONFIG.PDF;*
$ ENDIF
$! WRITE SYS$OUTPUT "Building Text"
$! DOC CONFIG MANUAL MAIL /CONT
$! SET PROT=W:RE CONFIG*.TXT;*
$ WRITE SYS$OUTPUT "Building HTML"
$ SDM2HTM /FRAMED /INDEX CONFIG
$ SET PROT=W:RE *.HTML;*
$ DELETE *.TEX;*
$ DELETE *.DVI*;*
$!-----------------------------------------------------------------------------
