$!-----------------------------------------------------------------------------
$! BUILD_MEMBUFLIB.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$! (actually the LINK options just creates and populates the object library)
$!
$! 12-OCT-2017  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""MEMBUFLIB object module""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ INCLUDES = "/INCLUDE=[]"
$ DEFINES = "/DEFINE=(__VMS_VER=70000000," +-
            "__CRTL_VER=70000000,MEMBUFLIB_OBJECT_MODULE)"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL " +-
               "/WARNINGS=(DISABLE=(PREOPTW)) 'DEFINES' 'INCLUDES'"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR'MEMBUFLIB MEMBUFLIB 
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
